body, html {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    /* display: flex;
    justify-content: center;
    align-items: center; */
    background-color: transparent;
    color: #fff;
    font-family: "Open Sans", sans-serif;
overflow: hidden;
}
p {
    margin: 0;
}
.container-overlay  {
    /* width: 100%; */
    height: 70%;
    /* overflow: hidden; */
    margin: 10px;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}
.overlay {
    position: relative;
    /* width: 100%; */
    /* height:70%; */
   
    display: flex;
    flex-direction: column;
    align-items: center; 
}

.media-container {
    
    height: 60%;
   aspect-ratio: 16/9;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    
    position: relative;
}

.media-placeholder {
    width: 100%;
    height: 100%;
   
    display: flex;
    align-items: end;
    justify-content: center;
    overflow: hidden;
     /* Ensure media does not overflow the container */
    position: relative;
   overflow: hidden;
}
.media, .gif {
   object-fit: contain;

}
.media-portrait {
    height: 100%;
    width: auto;
}
.media-landscape {
    width:  56.25%;
    height: auto;
}
.media-content {
    max-width: 100%;
    max-height: 100%;
    object-fit: cover; /* Ensure the media fits the container */
    position: absolute;
    bottom: 0;
}

.text-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  
}

.donation, .message {
    text-align: center;
    text-shadow: 0px 0px 0.034em #000, 0px 0px 0.069em #000, 0px 0px 0.103em #000, 0px 0px 0.138em #000, 0px 0px 0.172em #000;
    overflow-wrap: break-word !important;
    word-wrap: break-word;
    word-break: break-word;
    max-width: 100%;    width:  56.25%;

}

@keyframes wiggle {
    0% {
        transform: rotate(0deg);
    }

    80% {
        transform: rotate(0deg);
    }

    85% {
        transform: rotate(5deg);
    }

    95% {
        transform: rotate(-5deg);
    }

    100% {
        transform: rotate(0deg);
    }
}
.color1 {
    color: #00ff00;
}

.color2 {
    color: #ffff00;
}
.wiggle {
    display: inline-block;
    animation: wiggle 0.5s infinite;
}
.donation {
    font-size: calc(7.7% * 0.6 * 1vh);
   letter-spacing: 0.5px;
    font-weight: 900;
    display: flex;
    align-items: start;    flex-wrap: wrap;
    justify-content: center;
}

.message {
    font-size: calc(7.7% * 0.6 * 1vh * 0.8);
    margin-top: calc(7.7% * 0.6 * 1vh * 0.8);
       font-weight: 900;letter-spacing: 0.5px;
}

.progress-bar-container {
    width: 100%;
    position: relative;
    border-radius: 7px;
    overflow: hidden;
    height: 10px;
    /* flex-basis: 1; */
}

.progress-bar {
    height: 100%;
    width: 0%;
    background-color: #ff0000;
    transition: width 100ms linear;
}

.progress-bar::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background: lightgrey;
    z-index: -1;
}

/* .media {
    height: auto;
    width: 100%;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
} */

.progress-bar-container {
    border-radius: 0;
}
